Bug 198914 - Dual Head broken
Dual Head broken
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 12:04 EDT by Derek Meek
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (5.83 KB, application/octet-stream)
2006-08-26 04:05 EDT, Piotr Wojciechowski
no flags Details
Log file (96.96 KB, text/plain)
2006-08-26 04:06 EDT, Piotr Wojciechowski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 2597 None None None Never

  None (edit)
Description Derek Meek 2006-07-14 12:04:33 EDT
Description of problem:

Dual head is broken with video bios problem - I810 secondary, Voodoo 3000
primary - swapping order results in both booting, but V3 is corrupt and no bios
screen is kicked on it. 

(II) I810(1): initializing int10
(EE) I810(1): Cannot read V_BIOS
(EE) I810(1): VBE initialization failed.

this appears related to this Freedesktop.org bug
https://bugs.freedesktop.org/show_bug.cgi?id=2597 but the provided patch doesn't
work (i got the srpm for xorg-x11-server-Xorg-1.0.1-9.fc5.5 and patched the
source for it).  This is a serious issue as upgrading has left me with only one
video head.  I used to have three (i only have two on my new hardware, but I
cannot even use the second because of this bug)



Version-Release number of selected component (if applicable):
1.0.1-9.fc5.5

How reproducible:
100%

Steps to Reproduce:
1. Use two seperate video cards for Xinerama
  
Actual results:
cannot initialize non-primary video board

Expected results:
extra video boards booted and used

Additional info:
Comment 1 Piotr Wojciechowski 2006-08-26 04:04:25 EDT
I have similar problem. I have installed:

02:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01)
02:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200] (Secondary)
(rev 01)
01:08.0 VGA compatible controller: NVidia / SGS Thomson (Joint Venture) Riva128
(rev 10)

While dual head output on Radeon is working video card Riva is not displaying
correctly. Effect on my LCD is quite similar to one you can see on CRT monitors
whise setting refresh in value highest than allowed on monitor - everything is
shaking. I attached my current x.org conf and log file, altho effect is same
with or without options I set in xorg.conf in driver section
Comment 2 Piotr Wojciechowski 2006-08-26 04:05:50 EDT
Created attachment 134971 [details]
xorg.conf file
Comment 3 Piotr Wojciechowski 2006-08-26 04:06:11 EDT
Created attachment 134972 [details]
Log file
Comment 4 Piotr Wojciechowski 2006-08-26 04:29:13 EDT
After changing primary PCI card on BIOS to Riva on PCI slot ATI card on AGP
stops working with same error, while Riva is working properly
Comment 5 Matěj Cepl 2007-07-03 09:49:33 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 6 Matěj Cepl 2007-08-03 09:18:50 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.